/// <reference types="node" />
import { ObservableInterface } from "@hibas123/utils";
import { Adapter, Message } from "./types";
export declare class LoggingFiles implements Adapter {
    private error;
    file: Files;
    constructor(filename: string, error?: boolean);
    init(observable: ObservableInterface<Message>): Promise<void>;
    flush(sync: boolean): void;
    onMessage(message: Message): void;
}
export declare class Files {
    private file;
    private static files;
    static getFile(filename: string): Files;
    private size;
    private stream;
    private lock;
    initialized: boolean;
    private constructor();
    init(): Promise<void>;
    private initializeFile;
    private queue;
    checkQueue(): Promise<void>;
    flush(sync: boolean): Promise<void>;
    private write_to_file;
    write(data: Buffer): void;
}
